- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Updates the parameters of a single Exadata Infrastructure.
HTTP request
PATCH https://oracledatabase.googleapis.com/v1/{cloudExadataInfrastructure.name=projects/*/locations/*/cloudExadataInfrastructures/*} The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
cloudExadataInfrastructure.name |
Identifier. The name of the Exadata Infrastructure resource with the format: projects/{project}/locations/{region}/cloudExadataInfrastructures/{cloudExadataInfrastructure} |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. Field mask is used to specify the fields to be overwritten in the Exadata resource by the update. The fields specified in the This is a comma-separated list of fully qualified names of fields. Example: |
requestId |
Optional. An optional ID to identify the request. This value is used to identify duplicate requests. If you make a request with the same request ID and the original request is still in progress or completed, the server ignores the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000). |
Request body
The request body contains an instance of CloudExadataInfrastructure.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/oracle-database
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
oracledatabase.cloudExadataInfrastructures.update
For more information, see the IAM documentation.